cmf_media:
    persistence:
        phpcr:
            enabled: true
            media_basepath: /test

# The LiipImagineBundle can be used if you want to convert on demand an image
# to a specific format. (ie a controller render the file)
# more information can be found here : https://github.com/liip/LiipImagineBundle
liip_imagine:
    loaders:
        default:
            filesystem:
                data_root: %kernel.cmf_test_web_dir%
    filter_sets:
        # define the filter to be used with the image preview
        image_upload_thumbnail:
            data_loader: cmf_media_doctrine_phpcr
            quality: 85
            filters:
                thumbnail: { size: [100, 100], mode: outbound }

        # default filter to be used for elfinder thumbnails
        elfinder_thumbnail:
            data_loader: cmf_media_doctrine_phpcr
            quality: 85
            filters:
                thumbnail: { size: [48, 48], mode: inset }

        cmf_block:
            data_loader: cmf_media_doctrine_phpcr
            quality: 85
            filters:
                thumbnail: { size: [50, 50], mode: outbound }
